﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

    <script>
        $(function () {
            $("#commitChangesBtn").click(function () {
                var grid = ig_controls.WebDataGrid1;
                var editingCore = grid.get_behaviors().get_editingCore();
                editingCore.commit();
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebDataGrid ID="WebDataGrid1" StyleSetName="ElectricBlue" DataKeyFields="id"
                runat="server" Width="100%" Height="400px" AutoGenerateColumns="False"
                EnableDataViewState="True" EnableAjax="False">
                <Columns>
                    <ig:BoundDataField DataFieldName="id" DataType="System.Int32" Key="id" Hidden="true">
                        <Header Text="id">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Dosage" DataType="System.Int32" Key="Dosage">
                        <Header Text="Dosage">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Drug" DataType="System.String" Key="Drug">
                        <Header Text="Drug">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Patient" DataType="System.String" Key="Patient">
                        <Header Text="Patient">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Date" DataType="System.DateTime" Key="Date">
                        <Header Text="Date">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Filtering Enabled="true" />
                    <ig:Sorting Enabled="true" />
                    <ig:EditingCore AutoCRUD="False" BatchUpdating="true">
                        <Behaviors>
                            <ig:RowAdding Alignment="Top">
                                <ColumnSettings />
                                <EditModeActions MouseClick="Single" EnableF2="False" />
                            </ig:RowAdding>
                            <ig:RowDeleting Enabled="true" ShowDeleteButton="true" />
                            <ig:CellEditing>
                                <EditModeActions MouseClick="None" EnableOnActive="false" EnableOnKeyPress="false" />
                            </ig:CellEditing>
                            <ig:RowEditingTemplate CancelButton="buttonCancel" OKButton="buttonOK">
                                <EditModeActions MouseClick="Double" />
                                <ClientBindings>
                                    <ig:RowEditingClientBinding ColumnKey="Dosage" ControlID="control_Dosage" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                    <ig:RowEditingClientBinding ColumnKey="Drug" ControlID="control_Drug" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                    <ig:RowEditingClientBinding ColumnKey="Patient" ControlID="control_Patient" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                    <ig:RowEditingClientBinding ColumnKey="Date" ControlID="control_Date" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                </ClientBindings>
                                <Template>
                                    <div style="background-color: white; border: 1px solid black;">
                                        Dosage:
                                        <asp:TextBox ID="control_Dosage" runat="server"></asp:TextBox>
                                        <br />
                                        Drug:
                                        <asp:TextBox ID="control_Drug" runat="server"></asp:TextBox>
                                        <br />
                                        Patient:
                                        <asp:TextBox ID="control_Patient" runat="server"></asp:TextBox>
                                        <br />
                                        Date:
                                        <asp:TextBox ID="control_Date" runat="server"></asp:TextBox>
                                        <br />
                                        <asp:Button ID="buttonOK" runat="server" OnClientClick="return" Text="OK" UseSubmitBehavior="False" />
                                        <asp:Button ID="buttonCancel" runat="server" CausesValidation="False" OnClientClick="return" Text="Cancel" UseSubmitBehavior="False" />
                                    </div>
                                </Template>
                            </ig:RowEditingTemplate>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection CellClickAction="Row" RowSelectType="Single" />
                    <ig:RowSelectors>
                    </ig:RowSelectors>
                </Behaviors>
            </ig:WebDataGrid>

            <input id="commitChangesBtn" value="Commit!" type="button" />
            <ig:WebScriptManager ID="WebScriptManager1" runat="server">
            </ig:WebScriptManager>
        </div>
    </form>
</body>
</html>
